#include <stdio.h>
int main()
{
	int A, B, C, ja, da, sa, jb, db, sb, jc, dc, sc, max, max1, max2, maxs, maxd, maxj, N;
	printf("Unesite tri cela broja\n");
	scanf("%d%d%d", &A, &B, &C);
	if(100<=A<1000)
		{
			sa=A/100;
			da=(A%100)/10;
			ja=A%10;
		}
		else
		{
			if(10<=A<100)
			{
				da=A/10;
				ja=A%10;
			}
			else
			{
				if(1<=A<10)
				ja=A;
				else;
			}
		}
	if(100<=B<1000)
		{
			sb=B/100;
			db=(B%100)/10;
			jb=B%10;
		}
		else
		{
			if(10<=B<100)
			{
				db=B/10;
				jb=B%10;
			}
			else
			{
				if(1<=B<10)
					jb=B;
				else;
			}
		}

	if(100<=C<1000)
		{
			sc=C/100;
			dc=(C%100)/10;
			jc=C%10;
		}
		else
		{
			if(10<=C<100)
			{
				dc=C/10;
				jc=C%10;
			}
			else
			{
				if(1<=C<10)
					jc=C;
				else;
			}
		}
	maxs=sa;
	if(maxs<sb)
		maxs=sb;
	else
		{
			if(maxs<sc)
				maxs=sc;
			else;
		}
	maxd=da;
	if(maxd<db)
		maxd=db;
	else
		{
			if(maxd<dc)
				maxd=dc;
			else;
		}
	maxj=ja;
	if(maxj<jb)
		maxj=jb;
	else
		{
			if(maxj<jc)
				maxj=jc;
			else;
		}
	max=maxs;
	if(max<maxd)
		
			max=maxd;
	else
		{
			if(max<maxj)
				max=maxj;
			else;
		}
	max1<max;
	if(max1<maxs)
		max1=maxs;
		else
			{
				if(max1<maxd)
					max1=maxd;
				else
					max1=maxj;
			}
	max2<(max&&max1);
	if(max2<maxs)
		max2=maxs;
	else
		{
			if(max2<maxd)
				max2=maxd;
			else
				max2=maxj;
		}
	printf("Niz je %d%d%d\n", max, max1, max2 );
	return 0;
}